diff --git a/java/code/src/com/suse/manager/errata/model/errata/ErrataAdvisoryMap.java b/java/code/src/com/suse/manager/errata/model/errata/ErrataAdvisoryMap.java
new file mode 100644
index 000000000000..1a1d4c54d3d2
--- /dev/null
+++ b/java/code/src/com/suse/manager/errata/model/errata/ErrataAdvisoryMap.java
@@ -0,0 +1,119 @@
+/*
+ * Copyright (c) 2025 SUSE LLC
+ *
+ * This software is licensed to you under the GNU General Public License,
+ * version 2 (GPLv2). There is NO WARRANTY for this software, express or
+ * implied, including the implied warranties of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
+ * along with this software; if not, see
+ * http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
+ */
+package com.suse.manager.errata.model.errata;
+
+import com.redhat.rhn.domain.BaseDomainHelper;
+
+import java.util.Objects;
+
+import javax.persistence.Column;
+import javax.persistence.Entity;
+import javax.persistence.GeneratedValue;
+import javax.persistence.GenerationType;
+import javax.persistence.Id;
+import javax.persistence.Table;
+
+@Entity
+@Table(name = "suseErrataAdvisoryMap")
+public class ErrataAdvisoryMap extends BaseDomainHelper {
+
+    private long id;
+    private String patchId;
+    private String announcementId;
+    private String advisoryUri;
+
+    /**
+     * Default constructor
+     */
+    public ErrataAdvisoryMap() {
+        this(null, null, null);
+    }
+
+    /**
+     * Constructor
+     *
+     * @param patchIdIn
+     * @param announcementIdIn
+     * @param advisoryUriIn
+     */
+    public ErrataAdvisoryMap(String patchIdIn, String announcementIdIn, String advisoryUriIn) {
+        patchId = patchIdIn;
+        announcementId = announcementIdIn;
+        advisoryUri = advisoryUriIn;
+    }
+
+    @Id
+    @Column(name = "id")
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    public long getId() {
+        return id;
+    }
+
+    public void setId(long idIn) {
+        id = idIn;
+    }
+
+    @Column(name = "patch_id")
+    public String getPatchId() {
+        return patchId;
+    }
+
+    public void setPatchId(String patchIdIn) {
+        patchId = patchIdIn;
+    }
+
+    @Column(name = "announcement_id")
+    public String getAnnouncementId() {
+        return announcementId;
+    }
+
+    public void setAnnouncementId(String announcementIdIn) {
+        announcementId = announcementIdIn;
+    }
+
+    @Column(name = "advisory_uri")
+    public String getAdvisoryUri() {
+        return advisoryUri;
+    }
+
+    public void setAdvisoryUri(String advisoryUriIn) {
+        advisoryUri = advisoryUriIn;
+    }
+
+    @Override
+    public boolean equals(Object oIn) {
+        if (!(oIn instanceof ErrataAdvisoryMap)) {
+            return false;
+        }
+        ErrataAdvisoryMap that = (ErrataAdvisoryMap) oIn;
+        return Objects.equals(getPatchId(), that.getPatchId()) &&
+                Objects.equals(getAnnouncementId(), that.getAnnouncementId()) &&
+                Objects.equals(getAdvisoryUri(), that.getAdvisoryUri());
+    }
+
+    @Override
+    public int hashCode() {
+        return Objects.hash(getPatchId(),
+                getAnnouncementId(),
+                getAdvisoryUri());
+    }
+
+    @Override
+    public String toString() {
+        final StringBuilder sb = new StringBuilder("ErrataAdvisoryMap{");
+        sb.append("id=").append(id);
+        sb.append(", patchId='").append(patchId).append('\'');
+        sb.append(", announcementId='").append(announcementId).append('\'');
+        sb.append(", advisoryUri='").append(advisoryUri).append('\'');
+        sb.append('}');
+        return sb.toString();
+    }
+}
diff --git a/java/code/src/com/suse/manager/errata/model/errata/ErrataAdvisoryMapFactory.java b/java/code/src/com/suse/manager/errata/model/errata/ErrataAdvisoryMapFactory.java
new file mode 100644
index 000000000000..f86f869bdfba
--- /dev/null
+++ b/java/code/src/com/suse/manager/errata/model/errata/ErrataAdvisoryMapFactory.java
@@ -0,0 +1,81 @@
+/*
+ * Copyright (c) 2025 SUSE LLC
+ *
+ * This software is licensed to you under the GNU General Public License,
+ * version 2 (GPLv2). There is NO WARRANTY for this software, express or
+ * implied, including the implied warranties of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
+ * along with this software; if not, see
+ * http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
+ */
+
+package com.suse.manager.errata.model.errata;
+
+import com.redhat.rhn.common.hibernate.HibernateFactory;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import java.util.Optional;
+
+public class ErrataAdvisoryMapFactory extends HibernateFactory {
+
+    private static final Logger LOG = LogManager.getLogger(ErrataAdvisoryMapFactory.class);
+
+    @Override
+    protected Logger getLogger() {
+        return LOG;
+    }
+
+    /**
+     * Save a {@link ErrataAdvisoryMap} object
+     *
+     * @param advisoryMapEntryIn object to save
+     */
+    public void save(ErrataAdvisoryMap advisoryMapEntryIn) {
+        saveObject(advisoryMapEntryIn);
+    }
+
+    /**
+     * Remove a {@link ErrataAdvisoryMap} object
+     *
+     * @param advisoryMapEntryIn the object to remove
+     */
+    public void remove(ErrataAdvisoryMap advisoryMapEntryIn) {
+        removeObject(advisoryMapEntryIn);
+    }
+
+
+    /**
+     * Retrieves the ErrataAdvisoryMap item with the given advisory
+     *
+     * @param patchId the patch id to look for
+     * @return the ErrataAdvisoryMap item instance, if present
+     */
+    public Optional<ErrataAdvisoryMap> lookupByPatchId(String patchId) {
+        return getSession()
+                .createQuery("FROM ErrataAdvisoryMap k WHERE k.patchId = :patchId", ErrataAdvisoryMap.class)
+                .setParameter("patchId", patchId)
+                .uniqueResultOptional();
+    }
+
+    /**
+     * Count the existing table entries
+     *
+     * @return the current number of table entries
+     */
+    public long count() {
+        return getSession()
+                .createQuery("SELECT COUNT(*) FROM ErrataAdvisoryMap k", Long.class)
+                .uniqueResult();
+    }
+
+    /**
+     * Clear all repositories from the database.
+     */
+    public void clearErrataAdvisoryMap() {
+        getSession().createQuery("DELETE FROM ErrataAdvisoryMap").executeUpdate();
+    }
+}
+
+
diff --git a/java/code/src/com/suse/manager/errata/test/BaseErrataTestCase.java b/java/code/src/com/suse/manager/errata/test/BaseErrataTestCase.java
index 62a275230591..56946c6a2631 100644
--- a/java/code/src/com/suse/manager/errata/test/BaseErrataTestCase.java
+++ b/java/code/src/com/suse/manager/errata/test/BaseErrataTestCase.java
@@ -14,6 +14,7 @@
  */
 package com.suse.manager.errata.test;
 
+import com.redhat.rhn.domain.channel.Channel;
 import com.redhat.rhn.domain.errata.Errata;
 import com.redhat.rhn.testing.RhnBaseTestCase;
 
@@ -29,11 +30,11 @@ abstract class BaseErrataTestCase extends RhnBaseTestCase {
     /**
      * Builds a test errata object
      */
-    protected Errata createErrata(String advisory, String type, LocalDate issedDate, Long release) {
+    protected Errata createErrata(String advisory, String type, LocalDate issuedDate, Long release) {
         final Errata errata = new Errata();
 
-        if (issedDate != null) {
-            errata.setIssueDate(Date.from(issedDate.atStartOfDay(ZoneOffset.systemDefault()).toInstant()));
+        if (issuedDate != null) {
+            errata.setIssueDate(Date.from(issuedDate.atStartOfDay(ZoneOffset.systemDefault()).toInstant()));
         }
 
         errata.setAdvisory(advisory);
@@ -42,5 +43,18 @@ protected Errata createErrata(String advisory, String type, LocalDate issedDate,
         return errata;
     }
 
+    /**
+     * Builds a test errata object with one channel owning an update tag
+     */
+    protected Errata createErrataWithUpdateTag(String updateTag,
+                                               String advisory, String type, LocalDate issuedDate, Long release) {
+        final Errata errata = createErrata(advisory, type, issuedDate, release);
+
+        Channel ch = new Channel();
+        ch.addErrata(errata);
+        ch.setUpdateTag(updateTag);
+        errata.addChannel(ch);
 
+        return errata;
+    }
 }
diff --git a/java/code/src/com/suse/manager/errata/test/SUSEAdvisoryMapErrataParserTest.java b/java/code/src/com/suse/manager/errata/test/SUSEAdvisoryMapErrataParserTest.java
new file mode 100644
index 000000000000..576221b2f4e6
--- /dev/null
+++ b/java/code/src/com/suse/manager/errata/test/SUSEAdvisoryMapErrataParserTest.java
@@ -0,0 +1,123 @@
+/*
+ * Copyright (c) 2025 SUSE LLC
+ *
+ * This software is licensed to you under the GNU General Public License,
+ * version 2 (GPLv2). There is NO WARRANTY for this software, express or
+ * implied, including the implied warranties of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
+ * along with this software; if not, see
+ * http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
+ */
+package com.suse.manager.errata.test;
+
+import static org.junit.jupiter.api.Assertions.assertTrue;
+
+import com.redhat.rhn.domain.errata.Errata;
+import com.redhat.rhn.domain.errata.ErrataFactory;
+
+import com.suse.manager.errata.ErrataParsingException;
+import com.suse.manager.errata.SUSEAdvisoryMapErrataParser;
+import com.suse.manager.errata.advisorymap.ErrataAdvisoryMapManager;
+
+import org.junit.jupiter.api.Test;
+
+import java.io.ByteArrayInputStream;
+import java.io.IOException;
+import java.io.InputStream;
+import java.nio.charset.StandardCharsets;
+import java.time.LocalDate;
+import java.time.Month;
+
+public class SUSEAdvisoryMapErrataParserTest extends BaseErrataTestCase {
+
+    public static void createTestAdvisoryMapDatabase() throws IOException {
+
+        String testAdvisoryMapCsv =
+            "# patchid, notice id, url\n" +
+            "SUSE-SLE-Live-Patching-12-SP5-2025-1901,SUSE-SU-2025:01901-1," +
+            "https://www.suse.com/support/update/announcement/2025/suse-su-202501901-1/\n" +
+            "SUSE-SLE-Module-Basesystem-15-SP7-2025-1638,SUSE-SU-2025:01638-2," +
+            "https://www.suse.com/support/update/announcement/2025/suse-su-202501638-2/\n" +
+            "SUSE-Manager-Tools-For-SL-Micro-6-5,SUSE-RU-2025:20291-1," +
+            "https://www.suse.com/support/update/announcement/2025/suse-ru-202520291-1/\n" +
+            "SUSE-SLE-Module-Live-Patching-15-SP3-2025-1112,SUSE-SU-2025:1119-1," +
+            "https://www.suse.com/support/update/announcement/2025/suse-su-20251119-1/\n" +
+            "SUSE-SLE-Module-Basesystem-15-SP6-2025-1562,SUSE-OU-2025:1562-1," +
+            "https://www.suse.com/support/update/announcement/2025/suse-ou-20251562-1/\n" +
+            "SUSE-SLE-Module-Packagehub-Subpackages-15-SP6-2025-37,SUSE-FU-2025:0037-1," +
+            "https://www.suse.com/support/update/announcement/2025/suse-fu-20250037-1/\n" +
+            "SUSE-SLE-Manager-Tools-For-Micro-5-2025-1319,SUSE-RU-2025:1319-1," +
+            "https://www.suse.com/support/update/announcement/2025/suse-ru-20251319-1/\n" +
+            "SUSE-SLE-Module-Development-Tools-15-SP6-2025-990,SUSE-RU-2025:0990-1," +
+            "https://www.suse.com/support/update/announcement/2025/suse-ru-20250990-1/\n";
+
+        InputStream inputStream = new ByteArrayInputStream(testAdvisoryMapCsv.getBytes(StandardCharsets.UTF_8));
+        ErrataAdvisoryMapManager amm = new ErrataAdvisoryMapManager();
+        amm.readAdvisoryMapPopulateDatabase(inputStream);
+    }
+
+    private Errata createTestErrata(String updateTag, String advisory) {
+        return createErrataWithUpdateTag(updateTag, advisory, ErrataFactory.ERRATA_TYPE_SECURITY,
+                LocalDate.of(2025, Month.FEBRUARY, 8), 1L);
+    }
+
+     /**
+     * Test to ensure correct parsing of the url and the id in a valid case.
+     */
+    @Test
+    public void testCanBuildValidLinkAndId() throws ErrataParsingException, IOException {
+        createTestAdvisoryMapDatabase();
+        final SUSEAdvisoryMapErrataParser parser = new SUSEAdvisoryMapErrataParser();
+
+
+        Errata errata = createTestErrata("SLE-Live-Patching", "SUSE-12-SP5-2025-1901");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-SU-2025:01901-1"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-su-202501901-1/"));
+
+        errata = createTestErrata("SLE-Module-Basesystem", "SUSE-15-SP7-2025-1638");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-SU-2025:01638-2"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-su-202501638-2/"));
+
+
+        errata = createTestErrata("Manager-Tools-For", "SUSE-SL-Micro-6-5");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-RU-2025:20291-1"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-ru-202520291-1/"));
+
+        errata = createTestErrata("", "SUSE-Manager-Tools-For-SL-Micro-6-5");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-RU-2025:20291-1"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-ru-202520291-1/"));
+
+
+        errata = createTestErrata("SLE-Module-Live-Patching", "SUSE-15-SP3-2025-1112");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-SU-2025:1119-1"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-su-20251119-1/"));
+
+
+        errata = createTestErrata("SLE-Module-Basesystem", "SUSE-15-SP6-2025-1562");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-OU-2025:1562-1"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-ou-20251562-1/"));
+
+        errata = createTestErrata("SLE-Module-Packagehub-Subpackages", "SUSE-15-SP6-2025-37");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-FU-2025:0037-1"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-fu-20250037-1/"));
+
+
+        errata = createTestErrata("SLE-Manager-Tools-For-Micro", "SUSE-5-2025-1319");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-RU-2025:1319-1"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-ru-20251319-1/"));
+
+        errata = createTestErrata("SLE-Module-Development-Tools", "SUSE-15-SP6-2025-990");
+        assertTrue(parser.getAnnouncementId(errata).equals("SUSE-RU-2025:0990-1"));
+        assertTrue(parser.getAdvisoryUri(errata).toString()
+                .equals("https://www.suse.com/support/update/announcement/2025/suse-ru-20250990-1/"));
+
+    }
+}
diff --git a/java/conf/rhn_java.conf b/java/conf/rhn_java.conf
index 02f08c0f32e9..c2fc50192e88 100644
--- a/java/conf/rhn_java.conf
+++ b/java/conf/rhn_java.conf
@@ -262,3 +262,7 @@ java.disable_update_status = 0
 
 # Disable remote commands from UI
 java.disable_remote_commands_from_ui = false
+
+#url to download advisory-map.csv, the map of errata patch id, announcement id and advisory URL
+java.errata_advisory_map_csv_download_url = https://ftp.suse.com/pub/projects/security/advisory-map.csv
+
diff --git a/java/spacewalk-java.changes.carlo.Manager-4.3-fix-1243808-suse-advisory-url b/java/spacewalk-java.changes.carlo.Manager-4.3-fix-1243808-suse-advisory-url
new file mode 100644
index 000000000000..7e4d71c798be
--- /dev/null
+++ b/java/spacewalk-java.changes.carlo.Manager-4.3-fix-1243808-suse-advisory-url
@@ -0,0 +1,2 @@
+- Display correct advisory link by using an errata advisory map
+  (bsc#1243808)
